# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%add_optflags -fcommon
Name:  moleinvasion
Version: 0.4
Release: alt1_11
Summary: Jump'n run game with Tux
URL:  http://moleinvasion.tuxfamily.org/
Source0:  ftp://download.tuxfamily.org/minvasion/packages/MoleInvasion-%{version}.tar.bz2
Patch0:	 moleinvasions-fix-build.diff
License: GPLv2+
Group:  Games/Arcade
BuildRequires: pkgconfig(SDL_ttf)
BuildRequires: SDL_mixer
BuildRequires: libglvnd-devel
BuildRequires: pkgconfig(SDL_mixer)
BuildRequires: gcc-c++
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(tcl)
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(sdl)
Source44: import.info

%description
This is a classic jump and run game where Tux must deal with Moles.

%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="${CFLAGS:-%optflags}";
export CXXFLAGS="${CXXFLAGS:-%optflags}";

make -C src

%install
%make_install DESTDIR=%buildroot install install-data -C src

# man pages
mkdir -p %{buildroot}%{_mandir}/man6/
cp debian/*.6 %{buildroot}%{_mandir}/man6/

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Mole Invasion
Icon=%{_gamesdatadir}/%{name}/gfx/icon.xpm
Exec=%{_gamesbindir}/%{name}
Terminal=false
Categories=Game;ActionGame;
EOF

%files
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{_vendor}-%{name}.desktop


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 0.4-alt1_11
- update

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_10
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_8
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_7
- converted for ALT Linux by srpmconvert tools

